public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyphen/
Date: Thu, 27 Jan 2022 09:21:24 +0000 (UTC)	[thread overview]
Message-ID: <1643275280.ac520a91836a7b5341caaa6e5e363e5c78d6d501.mgorny@gentoo> (raw)

commit:     ac520a91836a7b5341caaa6e5e363e5c78d6d501
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 27 09:13:20 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 27 09:21:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac520a91

dev-python/pyphen: Switch to PEP 517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyphen/pyphen-0.12.0-r1.ebuild | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/dev-python/pyphen/pyphen-0.12.0-r1.ebuild b/dev-python/pyphen/pyphen-0.12.0-r1.ebuild
new file mode 100644
index 000000000000..e7e1115064f2
--- /dev/null
+++ b/dev-python/pyphen/pyphen-0.12.0-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for hyphenation using hunspell dictionaries"
+HOMEPAGE="https://github.com/Kozea/Pyphen"
+SRC_URI="https://github.com/Kozea/Pyphen/archive/${PV}.tar.gz -> ${P^}.tar.gz"
+S=${WORKDIR}/${P^}
+
+LICENSE="GPL-2+ LGPL-2+ MPL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# avoid dep on extra plugins
+	sed -i -e '/addopts/d' pyproject.toml || die
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2022-01-27  9:21 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-27  9:21 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-17  7:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyphen/ Michał Górny
2024-08-17  7:35 Michał Górny
2024-07-31  5:52 Michał Górny
2024-05-18  8:09 Michał Górny
2024-05-11 10:02 Michał Górny
2024-05-11  9:49 Arthur Zamarin
2024-04-24 13:42 Michał Górny
2023-11-24 15:24 Arthur Zamarin
2023-11-23 19:38 Michał Górny
2023-06-03 17:45 Michał Górny
2023-04-22 16:18 Michał Górny
2023-04-22 11:31 Sam James
2023-03-18  6:57 Michał Górny
2022-12-25 17:33 Michał Górny
2022-11-29 20:18 Arthur Zamarin
2022-11-17  6:15 Michał Górny
2022-10-03  7:22 Michał Górny
2022-10-03  0:44 Sam James
2022-08-10 13:05 Sam James
2022-03-28  9:17 Jakov Smolić
2022-02-27 18:46 Michał Górny
2022-02-04 10:27 Michał Górny
2022-02-04  8:57 Jakov Smolić
2021-12-28  9:03 Michał Górny
2021-09-06  6:28 Michał Górny
2021-09-06  6:28 Michał Górny
2021-09-05 20:01 Agostino Sarubbo
2021-08-01 12:25 Michał Górny
2021-06-26 21:35 Michał Górny
2021-06-05 17:59 Michał Górny
2020-12-16 11:30 Michał Górny
2020-12-16 11:10 Sam James
2020-12-05  9:58 Michał Górny
2020-11-01 23:41 Thomas Deutschmann
2020-05-12  6:39 Agostino Sarubbo
2020-05-11  9:26 Agostino Sarubbo
2020-03-09 15:01 Thomas Deutschmann
2020-03-07 20:37 Thomas Deutschmann
2020-02-05 19:53 Michał Górny
2017-11-08  7:08 Patrick Lauer
2017-01-19 10:59 Agostino Sarubbo
2017-01-18 16:52 Agostino Sarubbo
2016-06-29  9:50 Patrick Lauer
2016-02-19 12:46 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643275280.ac520a91836a7b5341caaa6e5e363e5c78d6d501.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox